Submit a prescriptionAsk AIpost https://api-pharmacy.sandbox.cannaflow.de/api/v1/prescriptionsSubmit a new prescription orderBody ParamsreferenceIdstringrequiredlength ≥ 1An ID used to identify the prescription. This id should be unique in your system (e.g. internal ID of your treatment/prescription).referencePatientIdstringnullreferencePharmacyIdstringnullsignedDocumentstringDEPRECATED: Use signedDocuments instead. Single base64 encoded signed prescription document without MIME-type prefix. If not provided, the signed document must be submitted later via POST /prescriptions/{id}/document before the pharmacy can process the order.signedDocumentsarray of stringslength ≤ 5Array of base64 encoded signed prescription documents without MIME-type prefix. Can be 0-n documents. If not provided, the signed document must be submitted later via POST /prescriptions/{id}/document before the pharmacy can process the order.signedDocumentsADD stringrequireSignedDocumentBeforeCheckoutbooleanSend checkout url to the patient after signed document is submitted or always after the prescription is created. Default sends the email directly.truefalsedesignatedPharmacyIdstringrequiredlength ≥ 1Cannaflow pharmacy ID. If provided, the patient can only choose this pharmacy for their order. If the pharmacy is out of stock, the prescription cannot be created and an error is thrown.patientobjectrequiredPatient informationpatient objectdoctorobjectrequiredPrescribing doctor's information. Can be also provided by submitting the prescription.doctor objectproductsarray of objectsrequiredPrescription-required cannabis products (Cannaflow registry item IDs). These are Rx-only items that must be prescribed by a doctor.products*ADD objectnonPrescriptionProductsarray of objectsBETA: Optional array of non-prescription products (standard, addon) that do not require a prescription but should be included in the order. Products will be preselected in checkout page.nonPrescriptionProductsADD objectprescriptionDatestringPrescription date in YYYY-MM-DD format. Current date will be used if not providednotificationsobjectNotification settings. Support for SMS notifications is coming soon.notifications objectcannaflowLeadReferencestringOptional reference to a cannaflow leaddiscountCodestringDiscount codemetadatastringOptional dynamic data attached to the prescription. Structure varies based on source.Responses 200Successful response 400Invalid input data 401Authorization not provided 403Insufficient access 500Internal server errorUpdated over 1 year ago